## libreplaygain 1.0~r475

=== CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 2.4)

project(libreplaygain C)

set(CMAKE_VERBOSE_MAKEFILE false)

if(NOT MSVC)
set(CMAKE_C_FLAGS "-O3 -fomit-frame-pointer -pipe")
endif(NOT MSVC)

add_subdirectory(src)

=== src/CMakeLists.txt ===
include_directories(${libreplaygain_SOURCE_DIR}/include)

add_library(replaygain-static STATIC gain_analysis)
set_target_properties(replaygain-static PROPERTIES OUTPUT_NAME replaygain CLEAN_DIRECT_OUTPUT 1)

add_library(replaygain-shared SHARED gain_analysis)
set_target_properties(replaygain-shared PROPERTIES OUTPUT_NAME replaygain CLEAN_DIRECT_OUTPUT 1 VERSION 1.0.0 SOVERSION 1)

install(TARGETS replaygain-static replaygain-shared LIBRARY DESTINATION "lib${LIB_SUFFIX}" ARCHIVE DESTINATION "lib${LIB_SUFFIX}")

=== debian/changelog ===
libreplaygain (1.0~r475-4) unstable; urgency=medium

  [ Gioele Barabucci ]
  * d/rules: Use debhelper 13 and standard dh sequence (Closes: #1101461)

  [ Andreas Tille ]
  * Fix watch file
  * Standards-Version: 4.7.2 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * d/copyright: Add debian/* section

 -- Andreas Tille <tille@debian.org>  Fri, 28 Mar 2025 06:39:55 +0100

libreplaygain (1.0~r475-3) unstable; urgency=medium

  * Team upload
  * Revert "Use debhelper-compat instead of debian/compat"

 -- Bastian Germann <bage@debian.org>  Wed, 20 Sep 2023 11:58:07 +0200

libreplaygain (1.0~r475-2) unstable; urgency=medium

  * Team upload
  * Fix Homepage
  * d/copyright: Convert to machine-readable format

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * Use debhelper-compat instead of debian/compat

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

 -- Bastian Germann <bage@debian.org>  Tue, 19 Sep 2023 17:16:59 +0200

libreplaygain (1.0~r475-1) unstable; urgency=low

  * Team upload.
  * New snapshot, no relevant changes.
  * Fix team's name.
  * Add missing Vcs-* plugins.
  * Switch packaging to source format 3.0 (quilt).
  * Refresh and convert patches to the quilt format.
  * Switch to dh-autoreconf.
  * Build with Multiarch support.
  * Introduce symbols file, drop dh_makeshlibs -V option.
  * Add automake, libtool on Build-Depends.
  * Extend long description, remove trailing blank line.
  * Breaks is more appropriate than the Conflicts field.
  * Add watch file.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Wed, 15 Feb 2012 15:11:10 +0100

libreplaygain (1.0~r447-1) unstable; urgency=low

  * New bugfix SVN snapshot.
  * debian/control:
    + Update Standards-Version to 3.8.3, no additional changes needed.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 20 Oct 2009 20:00:47 +0200

libreplaygain (1.0~r412-2) unstable; urgency=low

  * debian/rules:
    + Update shlibs for the new API.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 04 Mar 2009 10:19:39 +0100

libreplaygain (1.0~r412-1) unstable; urgency=low

  * New upstream SVN snapshot.
  * Upload to unstable.
  * debian/control:
    + Update Standards-Version to 3.8.0, no additional changes needed.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 04 Mar 2009 10:06:08 +0100

libreplaygain (1.0~r406-1) experimental; urgency=low

  * New upstream SVN snapshot:
    + debian/control:
      - Conflicts with older musepack-tools because of slight changes to the
        still unstable API.
  * debian/rules:
    + Correctly set shlibs version.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 22 May 2008 11:00:21 +0200

libreplaygain (1.0~r394-2) experimental; urgency=low

  * debian/control:
    + Wrap control fields.
    + Update maintainer to pkg-multimedia.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 19 Apr 2008 23:12:39 +0200

libreplaygain (1.0~r394-1) experimental; urgency=high

  * Initial version (Closes: #474704).

 -- Sebastian Dröge <slomo@debian.org>  Mon, 07 Apr 2008 12:35:20 +0200

=== debian/control ===
Source: libreplaygain
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Sebastian Dröge <slomo@debian.org>,
           Jorge Salamero Sanz <bencer@cauterized.net>
Section: sound
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libtool
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/multimedia-team/libreplaygain
Vcs-Git: https://salsa.debian.org/multimedia-team/libreplaygain.git
Homepage: https://www.musepack.net/index.php?pg=src

Package: libreplaygain1
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Calculate ReplayGain information - library
 libreplaygain calculates the perceived loudness of audio and
 suggests dB adjustments according to the ReplayGain standard.
 .
 This package provides the shared library.

Package: libreplaygain-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libreplaygain1 (= ${binary:Version}),
         ${misc:Depends}
Description: Calculate ReplayGain information - development files
 libreplaygain calculates the perceived loudness of audio and
 suggests dB adjustments according to the ReplayGain standard.
 .
 This package contains the header files, static libraries
 and symbolic links that developers using libreplaygain will need.

=== debian/watch ===
version=4
opts=uversionmangle=s/^/1.0~r/ \
https://www.musepack.net/index.php?pg=src \
https://files.musepack.net/source/libreplaygain_r([0-9]+)\.tar\.gz
